

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_svg/svg.dart';
import 'package:rflutter_alert/rflutter_alert.dart';

class Answer {
 
onWillPop(BuildContext context,String message) async {
  Alert(
    context: context,
    style: AlertStyle(titleStyle: TextStyle(color: Colors.red)),
    type: AlertType.info,
    title: "$message\n",
    content: Row(
      mainAxisAlignment: MainAxisAlignment.spaceAround,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: <Widget>[
        InkWell(
          onTap: () {
            //Navigator.pop(context);
            SystemNavigator.pop();
          },
          child: ClipRRect(
            borderRadius: BorderRadius.circular(30),
            clipBehavior: Clip.antiAlias,
            child: Container(
              decoration:
                  BoxDecoration(borderRadius: BorderRadius.circular(30)),
              child: SvgPicture.asset(
                "assets/icons/true.svg",
                height: 40,
              ),
            ),
          ),
        ),
        InkWell(
          onTap: () {
            Navigator.pop(context);
          },
          child: ClipRRect(
            borderRadius: BorderRadius.circular(30),
            clipBehavior: Clip.antiAlias,
            child: Container(
              decoration:
                  BoxDecoration(borderRadius: BorderRadius.circular(30)),
              child: SvgPicture.asset(
                "assets/icons/close.svg",
                height: 40,
              ),
            ),
          ),
        ),
      ],
    ),
    buttons: [
      // DialogButton(child: SvgPicture.asset("assets/icons/true.svg",height: 40,), onPressed: (){}),
    ],
  ).show();
  return Future.value(false);
}

}